com.taosdata.jdbc.tmq

## Class MapDeserializer

- java.lang.Object
- - com.taosdata.jdbc.tmq.MapDeserializer

All Implemented Interfaces:
  Deserializer<Map<String,Object>>, Closeable, AutoCloseable

    public class MapDeserializer
    extends Object
    implements Deserializer<Map<String,Object>>

### Constructor Summary

Constructors
Constructor and Description
`MapDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `deserialize(ResultSet data, String topic, String dbName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.taosdata.jdbc.tmq.Deserializer

`close, configure`

### Constructor Detail

#### MapDeserializer

    public MapDeserializer()

### Method Detail

#### deserialize

    public Map<String,Object> deserialize(ResultSet data,
                                          String topic,
                                          String dbName)
                                   throws SQLException

Specified by:
  `deserialize` in interface `Deserializer<Map<String,Object>>`
Throws:
  `SQLException`